cpw.mods.fml.client

## Class FMLFolderResourcePack

- java.lang.Object
- - net.minecraft.client.resources.AbstractResourcePack
  - - net.minecraft.client.resources.FolderResourcePack
    - - cpw.mods.fml.client.FMLFolderResourcePack

- All Implemented Interfaces:
    IResourcePack

      public class FMLFolderResourcePack
      extends FolderResourcePack

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.resources.AbstractResourcePack

      `resourcePackFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLFolderResourcePack(ModContainer container)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.InputStream` | `getInputStreamByName(java.lang.String resourceName)`
    `java.awt.image.BufferedImage` | `getPackImage()`
    `java.lang.String` | `getPackName()`
    `protected boolean` | `hasResourceName(java.lang.String par1Str)`

    - ### Methods inherited from class net.minecraft.client.resources.FolderResourcePack

      `getResourceDomains`

    - ### Methods inherited from class net.minecraft.client.resources.AbstractResourcePack

      `getInputStream, getPackMetadata, getRelativeName, logNameNotLowercase, resourceExists`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLFolderResourcePack

          public FMLFolderResourcePack(ModContainer container)

  - ### Method Detail

    - #### hasResourceName

          protected boolean hasResourceName(java.lang.String par1Str)

      Overrides:
        `hasResourceName` in class `FolderResourcePack`

    - #### getPackName

          public java.lang.String getPackName()

      Specified by:
        `getPackName` in interface `IResourcePack`
      Overrides:
        `getPackName` in class `AbstractResourcePack`

    - #### getInputStreamByName

          protected java.io.InputStream getInputStreamByName(java.lang.String resourceName)
                                                      throws java.io.IOException

      Overrides:
        `getInputStreamByName` in class `FolderResourcePack`
      Throws:
        `java.io.IOException`

    - #### getPackImage

          public java.awt.image.BufferedImage getPackImage()
                                                    throws java.io.IOException

      Specified by:
        `getPackImage` in interface `IResourcePack`
      Overrides:
        `getPackImage` in class `AbstractResourcePack`
      Throws:
        `java.io.IOException`